%global pypi_name junitxml

Summary:        PyJUnitXML, a pyunit extension to output JUnit compatible XML
Name:           python-%{pypi_name}
Version:        0.7
Release:        4%{?dist}
License:        LGPLv3
URL:            https://launchpad.net/pyjunitxml
Source0:        https://pypi.python.org/packages/source/j/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildRequires:  python3-devel
BuildArch:      noarch

%description
PyJUnitXML
==========
A Python unittest TestResult that outputs JUnit
compatible XML.

%package -n python3-%{pypi_name}
Summary:        PyJUnitXML, a pyunit extension to output JUnit compatible XML
BuildRequires:  python3-devel

%description -n python3-%{pypi_name}
PyJUnitXML
==========
A Python unittest TestResult that outputs JUnit
compatible XML.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}%{_bindir}/pyjunitxml %{buildroot}%{_bindir}/pyjunitxml-%{python3_version}
ln -s ./pyjunitxml-%{python3_version} %{buildroot}%{_bindir}/pyjunitxml-3

%files -n python3-%{pypi_name}
%license COPYING
%{_bindir}/pyjunitxml-3
%{_bindir}/pyjunitxml-%{python3_version}
%{python3_sitelib}/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 24 2022 Xiaojie Chen <jackxjchen@tencent.com> - 0.7-1
- Initial build
